Package be.fgov.ehealth.dics.protocol.v4

# Class GetListOfActualMedicinalProductPackagesResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType
be.fgov.ehealth.dics.protocol.v4.GetListOfActualMedicinalProductPackagesResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class GetListOfActualMedicinalProductPackagesResponse extends ListConsultationResponseType implements Serializable

Java class for GetListOfActualMedicinalProductPackagesResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetListOfActualMedicinalProductPackagesResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ListConsultationResponseType">
           <sequence>
             <element name="Ampp" type="{urn:be:fgov:ehealth:dics:protocol:v4}AmppListType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetListOfActualMedicinalProductPackagesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AmppListType>`
  `getAmpps()`
  Gets the value of the ampps property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType

  `getTotal, setTotal`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType

  `getMaxElements, getOffset, setMaxElements, setOffset`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetListOfActualMedicinalProductPackagesResponse

    public GetListOfActualMedicinalProductPackagesResponse()

- ## Method Details

  - ### getAmpps

    public List<AmppListType> getAmpps()
    Gets the value of the ampps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ampps property.

    For example, to add a new item, do as follows:

         getAmpps().add(newItem);

    Objects of the following type(s) are allowed in the list `AmppListType`

    Returns:
      The value of the ampps property.